--- title: "Get SSO user session" slug: "get-user-session" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/get-user-session" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get SSO user session Available in Classic and VPC Get an active session of an SSO user. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/users/{userId}/sessions | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `userId` | String | Required | SSO user ID list - See [Get SSO user list](/docs/en/get-users) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/users/ba0def04-****-****-****-ff0b962016f7/sessions' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `sessionId` | String | - | Session ID | | `clientIp` | String | - | Client IP address | | `mbrNm` | String | - | Username of the account using the session | | `mbrNo` | String | - | Member ID (MemberNo) of the account using the session | | `permissionSetId` | String | - | Permission set ID using the session | | `permissionSetName` | String | - | Permission set name using the session | | `createdAt` | String | - | Creation date and time - ISO 8601 format | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "sessionId": "203c0711-****-****-****-b21a454d0b2d", "clientIp": "**.**.**.**", "mbrNm": "Gildong Hong", "mbrNo": "*******", "permissionSetId": "63920339-****-****-****-aaf6c9ce927e", "permissionSetName": "permissionset000", "createdAt": "2025-01-20T07:42:17Z" } ] ```